%define upstream_name	 I18N-Charset
%define upstream_version 1.414

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    IANA Character Set Registry names and Unicode::MapUTF8
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MT/MTHURN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(IO::Capture::Stderr)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This distribution contains a module I18N::Charset which maps Character
Set names to the names officially registered with IANA.  For example,
'Shift_JIS' is the official name of what is often referred to in HTML
headers as 'x-sjis'.

It also maps character set names to Unicode::Map, Unicode::Map8, and
Unicode::MapUTF8 conversion scheme names (if those modules are
installed).  For example, the Unicode::Map8 scheme name for
'windows-1251' is 'cp1251'.

It also maps character set names to their preferred MIME names.  For
example, the preferred MIME name for 'ISO_646.irv:1991' is 'US-ASCII'.

It also maps character set names to conversion scheme names as defined
by the iconv library.  For example, the iconv conversion scheme name
for 'Shift_JIS' is 'MS_KANJI'.

It also maps character set names to encoding names as defined
by the Encode module.  For example, the Encode encoding name
for 'Shift_JIS' is 'shiftjis'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes MYMETA.yml README
%{perl_vendorlib}/I18N
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.414.0-3.mga6
+ Revision: 1028453
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.414.0-2.mga6
+ Revision: 967102
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.414.0-1.mga6
+ Revision: 848112
- update to 1.414

* Wed Oct 15 2014 umeabot <umeabot> 1.412.0-4.mga5
+ Revision: 743955
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.412.0-3.mga5
+ Revision: 685042
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.412.0-2.mga4
+ Revision: 539478
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 1.412.0-1.mga4
+ Revision: 492150
- update to 1.412

* Fri Jun 07 2013 jquelin <jquelin> 1.411.0-1.mga4
+ Revision: 439414
- update to 1.411

* Sun Jan 13 2013 umeabot <umeabot> 1.402.0-2.mga3
+ Revision: 368431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.402.0-1.mga3
+ Revision: 306125
- update to 1.402

* Sat Nov 05 2011 kharec <kharec> 1.401.0-1.mga2
+ Revision: 163591
- update to 1.401

* Fri Oct 14 2011 jquelin <jquelin> 1.397.0-1.mga2
+ Revision: 154730
- update to 1.397

* Sun Jan 23 2011 jquelin <jquelin> 1.396-1.mga1
+ Revision: 33859
- mageia rebuild
- cleaning spec file
- imported package perl-I18N-Charset


* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.396-1mdv2011.0
+ Revision: 596558
- update to new version 1.396

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.394-2mdv2011.0
+ Revision: 430467
- rebuild

* Sun Jul 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.394-1mdv2009.0
+ Revision: 234278
- update to new version 1.394

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.392-1mdv2009.0
+ Revision: 232107
- update to new version 1.392

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.391-1mdv2009.0
+ Revision: 230270
- update to new version 1.391

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.389-1mdv2009.0
+ Revision: 212214
- update to new version 1.389

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.388-1mdv2008.1
+ Revision: 173947
- update to new version 1.388

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.385-1mdv2008.0
+ Revision: 52491
- update to new version 1.385

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.382-1mdv2008.0
+ Revision: 20194
- 1.382


* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.379-1mdk
- New release 1.379
- spec cleanup
- fix directory ownership
- dropped patch (fixed upstream)

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.375-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.375-1mdk
- initial Mandriva package

